%define name mcatalog
%define version 0.1
%define release 1mdk

Summary: Film and book catalog
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/mcatalog/%{name}-%{version}.tar.bz2
License: GPL
Group: Archiving/Other
Url: http://mcatalog.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: sqlite-devel
BuildRequires: mono-data-sqlite
BuildRequires: gnome-sharp-devel
BuildRequires: glade-sharp-devel
BuildRequires: intltool
BuildRequires: ImageMagick

%description
mCatalog is an application for catalogue things like films and books.
It's completely written it C#, and dessigned for working in the GNOME
desktop.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --sysconfdir=%_sysconfdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Applications/Archiving/Other" title="Mcatalog" \
  longtitle="Media catalog for books and films" startup_notify="true"
EOF
mkdir -p $RPM_BUILD_ROOT/{%{_miconsdir},%_liconsdir}
ln -s %_datadir/pixmaps/%name/%name.png %buildroot%_liconsdir/
convert -scale 32 images/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 images/%name.png %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="%name.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done
%update_menus

%preun
if [ "$1" = "0" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="%name.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc NEWS TODO AUTHORS ChangeLog
#README
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_prefix/lib/%name
%_datadir/application-registry/%name.applications
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name/
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%changelog
* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- New release 0.1

* Wed Dec 29 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.6-1mdk
- New release 0.0.6

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- update file list
- New release 0.0.5

* Mon Oct 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- New release 0.0.4

* Sun Oct 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-2mdk
- fix gconf script

* Sat Oct 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-1mdk
- drop patch
- New release 0.0.3

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-3mdk
- fix buildrequires

* Wed Oct 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-2mdk
- make it a noarch package

* Wed Oct 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- initial package
